from sqlalchemy import BigInteger, DateTime, String, Column
from config.database import Base


class VisitorType(Base):
    """
    访客类型表
    """

    __tablename__ = 'visitor_type'

    type_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='访客类型ID')
    name = Column(String(64), nullable=True, comment='类型名称')
    value = Column(String(2), nullable=False, comment='类型值')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=True, comment='修改时间')
    update_by = Column(String(64), nullable=True, comment='修改者')



